/*
 * Decompiled with CFR 0.152.
 * 
 * Could not load the following classes:
 *  fire.pb.battle.BattleField
 *  fire.pb.main.ConfigManager
 *  fire.pb.npc.SMonsterConfig
 *  fire.pb.npc.SWildMonsterConfig
 *  fire.pb.util.Parser
 *  fire.pb.util.Parser$ID2Odds
 */
package fire.pb.battle.ai;

import fire.pb.battle.BattleField;
import fire.pb.battle.ai.MonsterBattleAI;
import fire.pb.main.ConfigManager;
import fire.pb.npc.SMonsterConfig;
import fire.pb.npc.SWildMonsterConfig;
import fire.pb.util.Parser;
import java.util.HashMap;
import java.util.Map;

public class MonsterAIManager {
    private static final MonsterAIManager instance = new MonsterAIManager();
    private Map<Integer, MonsterBattleAI> monsterAIs = new HashMap<Integer, MonsterBattleAI>();

    private MonsterAIManager() {
    }

    public static MonsterAIManager getInstance() {
        return instance;
    }

    public Map<Integer, MonsterBattleAI> getMonsterAIs() {
        return this.monsterAIs;
    }

    /*
     * WARNING - Removed try catching itself - possible behaviour change.
     */
    public void init() {
        Map<Integer, MonsterBattleAI> map = this.monsterAIs;
        synchronized (map) {
            MonsterBattleAI monsterAI;
            this.monsterAIs.clear();
            for (SMonsterConfig monCfg : ConfigManager.getInstance().getConf(SMonsterConfig.class).values()) {
                try {
                    if (monCfg.aiIds == null || monCfg.aiIds.equals("") || (monsterAI = this.genMonsterAI(monCfg.id, monCfg.aiIds)) == null) continue;
                    this.monsterAIs.put(monsterAI.getMonsterId(), monsterAI);
                }
                catch (Exception e) {
                    BattleField.logger.error((Object)("Monster Id=" + monCfg.getId() + " AI init error."), (Throwable)e);
                }
            }
            for (SMonsterConfig monCfg : ConfigManager.getInstance().getConf(SWildMonsterConfig.class).values()) {
                try {
                    if (monCfg.aiIds == null || monCfg.aiIds.equals("") || (monsterAI = this.genMonsterAI(monCfg.id, monCfg.aiIds)) == null) continue;
                    this.monsterAIs.put(monsterAI.getMonsterId(), monsterAI);
                }
                catch (Exception e) {
                    BattleField.logger.error((Object)("Monster Id=" + monCfg.getId() + " AI init error."), (Throwable)e);
                }
            }
        }
    }

    public MonsterBattleAI genMonsterAI(int monsterId, String monsteraistr) {
        try {
            String[] aistrs;
            MonsterBattleAI monsterAI = new MonsterBattleAI(monsterId);
            for (String aistr : aistrs = monsteraistr.split(";")) {
                String[] aiIdstr = aistr.split(",");
                if (aiIdstr.length == 1) {
                    monsterAI.getBattleAIs().add(Float.valueOf(aistr).intValue());
                    continue;
                }
                Parser.ID2Odds id2odds = Parser.parseIdAndOddsWithComma((String)aistr);
                if (id2odds == null) continue;
                monsterAI.getBattleAIOdds().add(id2odds);
            }
            return monsterAI;
        }
        catch (Exception e) {
            BattleField.logger.error((Object)("Monster Id=" + monsterId + " AI init error."), (Throwable)e);
            return null;
        }
    }
}

